/**
 * Copyright (C) 2017-2019 Dremio Corporation. This file is confidential and private property.
 */
(function dsbuilder(attr) {
    function isAttributeSet(value) {
        return (value !== null) && (value !== "") && (value !== undefined);
    }

    const CLOUD_DEFAULT_SERVER = "sql.dremio.cloud";
    const CLOUD_DEFAULT_PORT = "443";

    var server = attr[connectionHelper.attributeServer];
    var port = attr[connectionHelper.attributePort];

    var product = attr["v-dremio-product"];
    if (product == "v-cloud") {
        var region = attr["v-region"];

        if (isAttributeSet(region)) {
            server = region;
        }
        else if (!isAttributeSet(server)) {
            server = CLOUD_DEFAULT_SERVER;
        }
        
        port = CLOUD_DEFAULT_PORT;
    }

    var urlBuilder = "jdbc:dremio:direct=" + server + ":" + port + ";";
    return [urlBuilder];
})
